#include <iostream>

using namespace std;

int main()
{
    int n,k,brMen=0; //broj menjanja
    cin >> n >> k;
    int a[n];
    for(int i=0;i<n;++i)
        cin >> a[i];
    int b[2*n+1];
    for(int i=0;i<2*n+1;++i)
        b[i]=0;
    for(int i=0;i<n;i++)
        b[n+1+a[i]]++;
    int c[2*n+1];
    int l=0;
    for(int i=0;i<2*n+1;++i)
        if(b[i]>=k)
        {
            c[l]=i-n-1;
            l++;
        }
    cout << l << endl;
    for(int i=0;i<l;i++)
        cout << c[i] << " ";
    return 0;
}